# Manually start a workflow run

Manually starts a workflow run.

```http
POST https://api.pozy.ai/v1/workflows/{workflowId}/executions
```

- Area: Automations / Workflows
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `workflowId` (string, required)

## Request body

Content type: `application/json`

- `to`, string
- `conversationId`, string
- `text`, string

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/workflows/6e299f518f373bfd669857c4/executions" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "to": "+14155550123",
  "conversationId": "6e525f3820fc636aa96d2ee9",
  "text": "Hello from Pozy"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/workflows/6e299f518f373bfd669857c4/executions", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    to: "+14155550123",
    conversationId: "6e525f3820fc636aa96d2ee9",
    text: "Hello from Pozy"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/workflows/6e299f518f373bfd669857c4/executions",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "to": "+14155550123",
        "conversationId": "6e525f3820fc636aa96d2ee9",
        "text": "Hello from Pozy",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `execution`, object: Can be null
  - `id`, string
  - `status`, string
  - `currentNodeId`, string
  - `waitingFor`, object: Can be null
  - `variables`, object
  - `conversationId`, string

```json
{
  "success": true,
  "execution": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "status": "active",
    "currentNodeId": "6824a29c1481b019b3350794",
    "waitingFor": {},
    "variables": {},
    "conversationId": "6e525f3820fc636aa96d2ee9"
  }
}
```
